Name:		datamash
Version:	1.3
Release:	1
Summary:	Basic numeric, textual, and statistical operations on textual files
License:	GPLv3+
URL:		https://www.gnu.org/software/%{name}/
Group:          Applications/System
Source0:	ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	AIX-rpm >= 5.2.0.0
Requires:	AIX-rpm >= 5.2.0.0

BuildRequires:	gettext
BuildRequires:	openssl-devel >= 1.0.2p-1
BuildRequires:	patch
Requires:	gettext
Requires:	info
Requires:	openssl >= 1.0.2p-1

%description
GNU Datamash is a command-line program which performs basic
numeric,textual and statistical operations on input textual data files.

It is designed to be portable and reliable, and aid researchers to
easily automate analysis pipelines, without writing code or even short
scripts.


%package doc
Summary:	Documentation for %{name}
Group:          Applications/System

%description doc
Documentation for %{name}.


%prep
%setup -q
%patch0


%build
export CC="xlc_r"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --with-openssl=yes

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

gmake install DESTDIR=${RPM_BUILD_ROOT} PREFIX=%{_prefix}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post doc
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%postun doc
if [ $1 = 0 ] ; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc NEWS README COPYING
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*info.gz
%{_datadir}/%{name}
%{_datadir}/locale/*/*/*
/usr/bin/*


%files doc
%doc ChangeLog AUTHORS THANKS examples COPYING
%{_infodir}/%{name}*


%changelog
* Wed Oct 31 2018 Michael Perzl <michael@perzl.org> - 1.3-1
- updated to version 1.3

* Wed Oct 31 2018 Michael Perzl <michael@perzl.org> - 1.2-1
- updated to version 1.2

* Mon Jan 23 2017 Michael Perzl <michael@perzl.org> - 1.1.1-1
- updated to version 1.1.1

* Fri Jan 20 2017 Michael Perzl <michael@perzl.org> - 1.1.0-1
- first version for AIX V5.2 and higher
